<app-error *ngIf="error" [errorData]="errorData"></app-error>

<div class="row">
  <div class="col-2">
    <img [src]="artist.images | noimage" class="img-thumbnail img-circle">
  </div>
  <div class="col">
    <h3>{{ artist.name }}</h3>
    <p *ngIf="artist?.followers?.total">
      Followers: {{artist.followers.total}}
    </p>
    genres: <span class="badge rounded-pill bg-dark" *ngFor="let genre of artist.genres"> {{genre}}</span>
  </div>
  <div class="col-4 text-right">
    <button routerLink="/home" class="btn btn-outline-danger">
      Back home page
    </button>
  </div>
</div>

<h2 class="mt-5">Albums</h2>
<app-cards [items]="albums"></app-cards>
